Updater 3.2-2 kann Pakete nicht authentifizieren

german

#1

Hallo!

Trotz intensiver Suche im Forum habe ich diesen Fall noch nicht gefunden:
Auf einem UCS 3.2-2 möchte ich ein Update einspielen. Das Update funktioniert nicht. Es kommt die Warnung, dass die Pakete nicht authentifiziert werden können. Nach der Warnung werden alle Pakte aufgelistet.
Meine Vermutung ist, dass es Probleme mit dem Keyring gibt. Deshalb habe ich per Hand den univention-archive-key per
aptitude install univention-archive-key
installiert. Auch hier musste ich zuerst bestätigen, dass ich dem Paket vertraue, bevor ich es installieren konnte. Das Problem wurde dadurch nicht gelöst.
Auch ein Update auf die Version 3.2-3 funktioniert deshalb im Moment nicht.

Was muss ich machen, damit UCS seinen Paketen wieder vertraut?

Hier noch die Logmeldungen aus /var/log/univention/updater.log

Gruß und Danke!
Günther

[code]Starting univention-upgrade. Current UCS version is 3.2-2 errata125

Checking for local repository: none
Checking for release updates: found: UCS 3.2-3

Checking for package updates: found

The following packages will be installed:
linux-image-3.10.0-ucs73-amd64,libpcsclite1
The following packages will be upgraded:
univention-heimdal-kdc,univention-heimdal-common,python-samba,samba,libsmbd0,samba4,winbind,libwbclient0,libssl0.9.8,slapd,ldap-utils,libldap-2.4-2,samba-ad-dc,libdcerpc-server0,smbclient,samba4-clients,libnetapi0,samba-common-bin,libregistry0,libsmbclient,libsamba-policy0,samba-dsdb-modules,libdcerpc0,libsmbclient-raw0,libgensec0,libsamdb0,libsamba-credentials0,libsamba-hostconfig0,libndr-standard0,libndr0,libsamba-util0,samba-common,shell-univention-lib,python-univention-lib,python-univention,univention-directory-listener,univention-directory-manager-tools,python-univention-directory-manager,python-univention-directory-manager-cli,univention-kernel-image,univention-ldap-acl-master,univention-management-console,univention-management-console-server,python-univention-management-console,univention-apache,univention-management-console-frontend,univention-management-console-web-server,univention-management-console-module-updater,univention-errata-level,univention-updater,univention-management-console-module-lib,univention-installer-modules,univention-management-console-module-setup,univention-system-setup,univention-management-console-module-appcenter,univention-management-console-module-apps,univention-pam,univention-quota,univention-management-console-module-quota,univention-management-console-module-join,univention-join,univention-ldap-server,univention-ldap-config,gpgv,gnupg,libclamav6,clamav-daemon,clamav-base,clamav-freshclam,clamav,linux-libc-dev,openjdk-6-jre-headless,openjdk-6-jre-lib,openjdk-6-jre,openssl,univention-samba-local-config,univention-samba4,univention-samba4-sysvol-sync,univention-s4-connector,python-univention-connector-s4,python-univention-pkgdb,univention-ldap-client,univention-management-console-module-udm,univention-nagios-client,univention-nagios-common,univention-pkgdb-tools
Starting dist-update at Sat Sep 6 12:11:54 2014…
Starting package upgrade Paketlisten werden gelesen…
Abhängigkeitsbaum wird aufgebaut…
Statusinformationen werden eingelesen…
Die folgenden NEUEN Pakete werden installiert:
libpcsclite1 linux-image-3.10.0-ucs73-amd64
Die folgenden Pakete werden aktualisiert (Upgrade):
clamav clamav-base clamav-daemon clamav-freshclam gnupg gpgv ldap-utils
libclamav6 libdcerpc-server0 libdcerpc0 libgensec0 libldap-2.4-2
libndr-standard0 libndr0 libnetapi0 libregistry0 libsamba-credentials0
libsamba-hostconfig0 libsamba-policy0 libsamba-util0 libsamdb0 libsmbclient
libsmbclient-raw0 libsmbd0 libssl0.9.8 libwbclient0 linux-libc-dev
openjdk-6-jre openjdk-6-jre-headless openjdk-6-jre-lib openssl python-samba
python-univention python-univention-connector-s4
python-univention-directory-manager python-univention-directory-manager-cli
python-univention-lib python-univention-management-console
python-univention-pkgdb samba samba-ad-dc samba-common samba-common-bin
samba-dsdb-modules samba4 samba4-clients shell-univention-lib slapd
smbclient univention-apache univention-directory-listener
univention-directory-manager-tools univention-errata-level
univention-heimdal-common univention-heimdal-kdc
univention-installer-modules univention-join univention-kernel-image
univention-ldap-acl-master univention-ldap-client univention-ldap-config
univention-ldap-server univention-management-console
univention-management-console-frontend
univention-management-console-module-appcenter
univention-management-console-module-apps
univention-management-console-module-join
univention-management-console-module-lib
univention-management-console-module-quota
univention-management-console-module-setup
univention-management-console-module-udm
univention-management-console-module-updater
univention-management-console-server
univention-management-console-web-server univention-nagios-client
univention-nagios-common univention-pam univention-pkgdb-tools
univention-quota univention-s4-connector univention-samba-local-config
univention-samba4 univention-samba4-sysvol-sync univention-system-setup
univention-updater winbind
86 aktualisiert, 2 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
Es müssen 110 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 103 MB Plattenplatz zusätzlich benutzt.
WARNUNG: Die folgenden Pakete können nicht authentifiziert werden!
univention-heimdal-kdc univention-heimdal-common python-samba samba libsmbd0
samba4 winbind libwbclient0 libssl0.9.8 slapd ldap-utils libldap-2.4-2
samba-ad-dc libdcerpc-server0 smbclient samba4-clients libnetapi0
samba-common-bin libregistry0 libsmbclient libsamba-policy0
samba-dsdb-modules libdcerpc0 libsmbclient-raw0 libgensec0 libsamdb0
libsamba-credentials0 libsamba-hostconfig0 libndr-standard0 libndr0
libsamba-util0 samba-common shell-univention-lib python-univention-lib
python-univention univention-directory-listener
univention-directory-manager-tools python-univention-directory-manager
python-univention-directory-manager-cli linux-image-3.10.0-ucs73-amd64
univention-kernel-image univention-ldap-acl-master
univention-management-console univention-management-console-server
python-univention-management-console univention-apache
univention-management-console-frontend
univention-management-console-web-server
univention-management-console-module-updater univention-errata-level
univention-updater univention-management-console-module-lib
univention-installer-modules univention-management-console-module-setup
univention-system-setup univention-management-console-module-appcenter
univention-management-console-module-apps univention-pam univention-quota
univention-management-console-module-quota
univention-management-console-module-join univention-join
univention-ldap-server univention-ldap-config gpgv gnupg libclamav6
clamav-daemon clamav-base clamav-freshclam clamav linux-libc-dev
openjdk-6-jre-headless openjdk-6-jre-lib openjdk-6-jre openssl
univention-samba-local-config univention-samba4
univention-samba4-sysvol-sync univention-s4-connector
python-univention-connector-s4 python-univention-pkgdb
univention-ldap-client univention-management-console-module-udm
univention-nagios-client univention-nagios-common univention-pkgdb-tools
E: Es gab Probleme und -y wurde ohne --force-yes verwendet
exitcode of apt-get dist-upgrade: 100
ERROR: update failed. Please check /var/log/univention/updater.log[/code]


#2

Habe den Fehler gefunden. Es lag nicht am UCS, sondern an der vorgeschalteten WatchGuard Firewall. Dort war ein HTTP-Proxy definiert und in dieser Proxyregel muss man als HTTP-Content “none” aktivieren, damit die Zertifikate durchgelassen werden. Hier scheinen die Zertifikate vom Apache-Webserver keine Kodierung zu erhalten …

Fehler ist also beseitigt ;-).